Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## ch.mimo.netty.handler.codec.icap
Enum StateEnum

    java.lang.Object
      java.lang.Enum<StateEnum>
          ch.mimo.netty.handler.codec.icap.StateEnum

All Implemented Interfaces:
  Serializable, Comparable<StateEnum>

    public enum StateEnum

extends Enum<StateEnum>

State Enum which contains all Decoder states.

Author:
  Michael Mimo Moratti (mimo@mimo.ch)
See Also:
  `IcapMessageDecoder`

Enum Constant Summary
`READ_CHUNK_DELIMITER_STATE`
`READ_CHUNK_SIZE_STATE`
`READ_CHUNK_STATE`
`READ_CHUNKED_CONTENT_AS_CHUNKS_STATE`
`READ_HTTP_REQUEST_INITIAL_AND_HEADERS`
`READ_HTTP_RESPONSE_INITIAL_AND_HEADERS`
`READ_ICAP_HEADER_STATE`
`READ_ICAP_INITIAL_STATE`
`READ_TRAILING_HEADERS_STATE`
`SKIP_CONTROL_CHARS`

Method Summary
`State<? extends Object>` | `getState()`
`String` | `toString()`
`static StateEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StateEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SKIP_CONTROL_CHARS

    public static final StateEnum SKIP_CONTROL_CHARS

### READ_ICAP_INITIAL_STATE

    public static final StateEnum READ_ICAP_INITIAL_STATE

### READ_ICAP_HEADER_STATE

    public static final StateEnum READ_ICAP_HEADER_STATE

### READ_HTTP_REQUEST_INITIAL_AND_HEADERS

    public static final StateEnum READ_HTTP_REQUEST_INITIAL_AND_HEADERS

### READ_HTTP_RESPONSE_INITIAL_AND_HEADERS

    public static final StateEnum READ_HTTP_RESPONSE_INITIAL_AND_HEADERS

### READ_CHUNK_SIZE_STATE

    public static final StateEnum READ_CHUNK_SIZE_STATE

### READ_CHUNK_STATE

    public static final StateEnum READ_CHUNK_STATE

### READ_CHUNKED_CONTENT_AS_CHUNKS_STATE

    public static final StateEnum READ_CHUNKED_CONTENT_AS_CHUNKS_STATE

### READ_CHUNK_DELIMITER_STATE

    public static final StateEnum READ_CHUNK_DELIMITER_STATE

### READ_TRAILING_HEADERS_STATE

    public static final StateEnum READ_TRAILING_HEADERS_STATE

Method Detail

### values

    public static StateEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StateEnum c : StateEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StateEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getState

    public State<? extends Object> getState()

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<StateEnum>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.